UiPath Documentation
private-test-cloud
2.2510
true

Private Test Cloud API guide

Last updated May 11, 2026

Upload secondary certificate

Upload or update the secondary SAML certificate.

API Endpoint

PUT https://{yourDomain}/{organizationName}/identity_/api/SamlCertificate/secondary

Scopes

Requires the following scope: PM.AuthSetting.

Request headers

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:

To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.

Request body

The request body contains the organization ID and the secondary certificate you want to either upload or update.

{
  "partitionGlobalId": "<organizationID>",
  "certificate": "string"
}
{
  "partitionGlobalId": "<organizationID>",
  "certificate": "string"
}

Responses

200 Success

The secondary certificate has been successfully uploaded or updated.

{
  "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "primaryCertificateId": 0,
  "primaryCertificate": "string",
  "primaryCertificateThumbprint": "string",
  "secondaryCertificateId": 0,
  "secondaryCertificate": "string",
  "secondaryCertificateThumbprint": "string"
}
{
  "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "primaryCertificateId": 0,
  "primaryCertificate": "string",
  "primaryCertificateThumbprint": "string",
  "secondaryCertificateId": 0,
  "secondaryCertificate": "string",
  "secondaryCertificateThumbprint": "string"
}
  • API Endpoint
  • Scopes
  • Request headers
  • Request body
  • Responses
  • 200 Success

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated